Bug 16001 - Won't work with ISPs that provide fixed IPs
Summary: Won't work with ISPs that provide fixed IPs
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: isdn-config (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-11 15:59 UTC by Rui Prior
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-11 15:59:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rui Prior 2000-08-11 15:59:18 UTC
There's a bug in /etc/rc.d/init.d/isdn that will prevent it from working with ISPs that provide fixed LOCAL and REMOTE IP addresses.
Near line 230, where it reads:

# Do we have all dynamically?
if [ -n "dyn_local" -a -z "$REMOTE_IP" ]; then
    # Set the local and/or remote interface IP addresses
    options="$LOCAL_IP:0.0.0.0 $options"
fi

It should be

# Do we have remote dynamically?
if [ -n "dyn_local" -a -z "$REMOTE_IP" ]; then
    # Set the local and/or remote interface IP addresses
    options="$LOCAL_IP:0.0.0.0 $options"
else
    # Set the local and/or remote interface IP addresses
    options="$LOCAL_IP:$REMOTE_IP $options"
fi

in order to pass the fixed addresses to ipppd. If we don't do this, the option "noipdefault" asigned in line 217 will prevent it from working with fixed IPs.

Comment 1 Ngo Than 2000-08-14 12:26:10 UTC
It was already fixed in the rawhide.


Note You need to log in before you can comment on or make changes to this bug.